Customer Login
curl --request POST \
--url https://api.khaime.com/api/v1/login \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.khaime.com/api/v1/login"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.khaime.com/api/v1/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Login successful",
"data": {
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"customer": {
"id": 98765,
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"is_verified": true
}
}
}
Commerce API
Customer Login
Authenticate a customer
POST
/
login
Customer Login
Customer Login
Authenticates a customer and returns a token for subsequent requests.Request
string
required
Your API key
Body Parameters
string
required
Customer’s email address
string
required
Customer’s password
Response
{
"status": true,
"message": "Login successful",
"data": {
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"customer": {
"id": 98765,
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"is_verified": true
}
}
}
Using the Token
Include the token in theAuthorization header for authenticated endpoints:
curl "https://api.khaime.com/api/v1/orders" \
-H "X-API-Key: pk_live_your_api_key" \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
Errors
| Error Code | Description |
|---|---|
AUTH_INVALID_CREDENTIALS | Email or password is incorrect |
AUTH_ACCOUNT_NOT_FOUND | No account with this email |
Example
curl -X POST "https://api.khaime.com/api/v1/login" \
-H "X-API-Key: pk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"email": "john@example.com",
"password": "securepassword123"
}'
⌘I
